tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Crowther <peter.crowt...@melandra.com>
Subject Re: Problems after upgrading to Tomcat6
Date Wed, 02 Jun 2010 10:19:19 GMT
On 2 June 2010 09:13, David Karlsen <davidk@delonic.no> wrote:

> Caldarale, Charles R Wrote:
>
> >> parent=gnu.gcj.runtime.SystemClassLoader
> >You need to use a real JVM (HotSpot, JRockit, IBM), not a toy one.
> Remove gcj from your system as quickly as possible.
>
> It seems like jpackage.org packages is having dependency towards gcj. Do
> you know perhaps about another repertory that contains prebuilt packages
> for Centos 5?
>
> It seems strange dough, that jpackage.org should build packages that is
> designed not to work on the system the packages is build for. Are you
> certain that it isn't any more convenience way to do this than changing
> the JVM?
>
> If you read jpackage.org's mission, it is to use FOSS packages wherever
possible.  Unfortunately, this means that they prefer GCJ (a toy, as Chuck
says) over software that is available for $0 but not free-as-in-speech.
This is an ideological choice, not a technical one.

And, no, there's no more convenient way to fix this than to change the JVM
to a real one.  You don't have to use the Sun JVM; it looks like jpackage
has details for both the BEA and IBM ones.

- Peter

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message